Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management
Class JBossIpAddress

    java.lang.Object
      |
      +--org.jboss.management.JBossJ2EEManagedObject
            |
            +--org.jboss.management.JBossIpAddress

All Implemented Interfaces:
  management.IpAddress, management.J2EEManagedObject, java.io.Serializable

public synchronized class JBossIpAddress
extends JBossJ2EEManagedObject
implements management.IpAddress

See Also:
  Serialized Form

Constructor Summary
`JBossIpAddress(java.lang.String, java.lang.String, management.Port[])`

Method Summary
`java.lang.String` | `getAddress()`
`management.Port[]` | `getPorts()`
`void` | `setAddress(java.lang.String)`
`void` | `setPorts(management.Port[])`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.management.JBossJ2EEManagedObject
`getName, hasStatistics, isStateManageable, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface management.J2EEManagedObject
`getName, hasStatistics, isStateManageable, setName`

Constructor Detail

### JBossIpAddress

    public JBossIpAddress(java.lang.String,
                          java.lang.String,
                          management.Port[])

Method Detail

### getAddress

    public java.lang.String getAddress()

  Specified by:
    `getAddress` in interface `management.IpAddress`

### getPorts

    public management.Port[] getPorts()

  Specified by:
    `getPorts` in interface `management.IpAddress`

### setAddress

    public void setAddress(java.lang.String)

  Specified by:
    `setAddress` in interface `management.IpAddress`

### setPorts

    public void setPorts(management.Port[])

  Specified by:
    `setPorts` in interface `management.IpAddress`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.